{% extends "base.html" %}

{% block links %}
{{ super() }}
{% endblock %}

{% block title %}
Créer une salle
{% endblock %}

{% block header %}
{% include "sub_templates/header.html" %}
{% endblock %}


{% block main %}

<h1 class="text-2xl font-semibold text-center mb-10">Salles</h1>

<div style="display: flex; flex-direction: row; justify-content: space-around;">
    <section class="shadow rounded px-4 py-3 w-2/3" style="display: flex; flex-direction: column;">
        <ul class="text-sm">
            {% for room in rooms %}
                <li id = "li{{room.id}}" title = "name" class="flex items-center justify-between mb-2">
                    <p style="margin-right: auto;">Salle {{room.name}}</p>
                    <div style="display: flex;">
                        <form class="edit-form hidden"  action="{{ url_for('update_room', id=room.id) }}" method="post">
                            <input type="text" id="name" name="name" value="{{ room.name }}"
                            class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block px-2.5 py-2"
                            >
                            <button type="submit">Enregistrer</button>
                        </form>
                        <button class="edit-button" style="margin-left: 27em;" onclick="removeHidden('{{room.id}}')">Modifier</button>
                        <form action="{{ url_for('delete_room', id=room.id) }}" style="margin-left:5px" method="post">
                            <button class="delete-button" type="submit">✘</button>
                        </form>
                    </div>
                </li>
                </br>
            {% endfor %}
        </ul>
    </section>
    <section style="display: flex; flex-direction: column; justify-content: flex-end; margin-left: 5em;" class="shadow rounded px-4 py-3 w-2/3">
        <h2 class="text-2xl font-semibold text-center mb-10">Créer une salle</h1>
    
        <form method="POST">
            <div>
                <label class="font-medium mb-2 text-gray-900 text-sm">Nom de la salle</label>
                <input id="student_number" name="name" type="text" required
                    placeholder="Écrivez le nom de la salle"
                    class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2" />
            </div>
            <button
                class="rounded-full pointer px-3 py-[5px] mb-1 text-white bg-[var(--blue)] mt-5 border border-[var(--blue)] font-semibold hover:bg-white hover:text-[var(--blue)] duration-300 shadow mx-auto flex">
                Ajouter</button>
        </form>
    </section>
</div>


{% endblock %}

{% block footer %}
{% include "sub_templates/footer.html" %}
{% endblock footer%}


<style>
    .hidden {
        display: none;
    }
</style>


{% block script %}
{{ super() }}
{% endblock %}
